<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/common_top_bar_height"
    tools:parentTag="androidx.constraintlayout.widget.ConstraintLayout">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/back"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="16dp"
        android:rotationY="@integer/locale_mirror_flip"
        android:src="@drawable/commonui_back_white_ic"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="ContentDescription" />

    <View
        android:id="@+id/view_back_click_area"
        android:layout_width="34dp"
        android:layout_height="34dp"
        app:layout_constraintBottom_toBottomOf="@id/back"
        app:layout_constraintEnd_toEndOf="@id/back"
        app:layout_constraintStart_toStartOf="@id/back"
        app:layout_constraintTop_toTopOf="@id/back" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:gravity="center"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/subtitle"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:strokeWidth="1dp"
        app:layout_constraintHorizontal_chainStyle="packed"
        tools:text="title" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/subtitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_goneMarginEnd="41dp"
        android:ellipsize="end"
        android:gravity="center"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textSize="21sp"
        android:layout_marginStart="30dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/title"
        app:layout_constraintTop_toTopOf="parent"
        app:strokeWidth="1dp"
        tools:text="title" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/right"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginEnd="16dp"
        android:rotationY="@integer/locale_mirror_flip"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible"
        />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/right1"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginEnd="8dp"
        android:rotationY="@integer/locale_mirror_flip"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/right"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible"
        />
</merge>